﻿body{
    font-family:Arial,微軟正黑體;
}
.container-fluid{
    min-width:850px !important;
}
input[type=text],input[type=button],input[type=submit], select {
    height:32px !important;
    font-size:14px;
    min-width:80px;
}
#Content a
,#Content a:active
,#Content a:visited{
    color:#0000EE;
}
#Content a:hover{
    color:#D00001;
}
.btnLogout{
    font-size:12px; 
    margin:5px;
    text-decoration:none !important;
    color:#FFF !important;
    background-color:#1a1919; 
    border-radius: 0 0 10px 10px;
    padding:8px;
    top:-10px;
    position:relative;
}
.btnMenu {
    font-size:14px;
    /*margin:0 -1px;*/
    text-decoration:none !important;
    color:#FFF !important;
    background-color:#5a0505;
    border-radius:10px 10px 0 0;
    padding:8px;
}
.btnMenuDisabled {
    font-size:14px;
    /*margin:0 -1px;*/
    text-decoration:none !important;
    color:#efefef !important;
    background-color:#c19c9c;
    border-radius:10px 10px 0 0;
    padding:8px;
}
.btnMenuDisabled:hover {
    cursor:no-drop;
}
h2{
    margin-bottom:5px;
    /*color:#8c0404;*/
}
.SearchLab{
    text-align:right;
    width:20%;
}
.SearchVal{
    width:40%;
}
.WK_Title{
    font-weight:bold;
    padding:5px 0;
}
.WK_Content{
    color:#00007d;
    padding:0 10px 0 5px;
}
#Banner{
    border-bottom: 1px solid #850606;
    height:100px;
    position:relative;
}
#logo{
    margin-top:15px;
    position:absolute;
}
#logo a{
    text-decoration:none;
    color:#000;
}
#logo img{
    height:70px;
    vertical-align:middle;
    display:inline-block;
}
#logo h1{
    vertical-align:middle;
    display:inline-block;
}
#SearchBar{
    position:absolute;
    right:15px;
    top:5px;
}
#Menu{
    position:absolute;
    right:15px;
    bottom:5px;
}
#Menu a:not(.btnMenuDisabled):hover{
    cursor:pointer;
}
.RpFailed{
    background-color:#ff6e6e !important;
}
.RpDoubtful{
    background-color:#72f3ff !important;
}

.FormSearch{
    width:100%;
}
.FormSearch td{
    padding:5px 0;
}
.FormSearch td >input[type=text],.FormSearch td >select{
    padding:0 5px;
    border-radius:4px;
    border:1px solid #ccc;
    -webkit-box-shadow:inset 0 1px 1px rgba(0, 0, 0, .075);
    box-shadow:inset 0 1px 1px rgba(0, 0, 0, .075);
    -webkit-transition:border-color ease-in-out .15s, -webkit-box-shadow ease-in-out .15s;
    transform:border-color ease-in-out .15s, box-shadow ease-in-out .15s;
}


.GirdViewShell {
  overflow-x: auto; /*xxx*/
  font-size: 14px !important;
}
.GirdViewShell > div {
    overflow-x: auto; /*xxx*/
}
.GirdViewShell .GridViewStyle {
  width: 100% !important;
  border: none !important;
  margin: 5px 0 10px 0 !important;
}
.GirdViewShell .GridViewStyle .GridViewHeaderStyle,
.GirdViewShell .GridViewStyle tr:nth-child(1) {
  font-family: Arial, 微軟正黑體 !important;
}
.GirdViewShell .GridViewStyle th,
.GirdViewShell .GridViewStyle .GridViewHeaderStyle > th,
.GirdViewShell .GridViewStyle tr:nth-child(1) > th {
  padding: 5px;
  text-align: center !important;
  vertical-align: middle !important;
  background-color: #7b7b7b;
  color: #FFF;
  height: 20px !important;
  border: 1px solid #dadada;
  text-shadow: none !important;
  font-weight: normal !important;
}
.GirdViewShell .GridViewStyle .GridViewHeaderStyle > th a,
.GirdViewShell .GridViewStyle tr:nth-child(1) > th a,
.GirdViewShell .GridViewStyle .GridViewHeaderStyle > td a,
.GirdViewShell .GridViewStyle tr:nth-child(1) > td a {
  color: #FFF !important;
}
.GirdViewShell .GridViewStyle .GridViewRowStyle,
.GirdViewShell .GridViewStyle .GridViewAlternatingRowStyle,
.GirdViewShell .GridViewStyle tr:not(:nth-child(1)) {
  transition: 0.25s all !important;
  font-size: 14px !important;
  font-family: Arial, 微軟正黑體 !important;
  text-align: left;
}
.GirdViewShell .GridViewStyle .GridViewRowStyle:hover,
.GirdViewShell .GridViewStyle .GridViewAlternatingRowStyle:hover,
.GirdViewShell .GridViewStyle tr:not(:nth-child(1)):hover {
  background-color: #d3d3d3;
}
.GirdViewShell .GridViewStyle .GridViewRowStyle td,
.GirdViewShell .GridViewStyle .GridViewAlternatingRowStyle td,
.GirdViewShell .GridViewStyle tr:not(:nth-child(0)) td {
  padding: 5px;
  vertical-align: middle !important;
  border: 1px solid #dadada;
}
.GirdViewShell .GridViewStyle .GridViewRowStyle,
.GirdViewShell .GridViewStyle tr:nth-child(even):not(.GridViewPagerStyle) {
  background-color: #FFF;
}
.GirdViewShell .GridViewStyle .GridViewAlternatingRowStyle,
.GirdViewShell .GridViewStyle tr:nth-child(odd):not(.GridViewPagerStyle) {
  background-color: #e8e8e8;
}
.GirdViewShell .GridViewStyle .GridViewPagerStyle {
  background: none;
  background-color: #d3d3d3;
  font-weight: bold !important;
}
.GirdViewShell .GridViewStyle .GridViewPagerStyle .floatLeft {
  float: left !important;
}
.GirdViewShell .GridViewStyle .GridViewPagerStyle .floatRight {
  float: right !important;
}
.GirdViewShell .GridViewStyle .GridViewPagerStyle td {
  border: 1px solid #dadada;
  padding: 5px;
}
.GirdViewShell .GridViewStyle .GridViewPagerStyle input,
.GirdViewShell .GridViewStyle .GridViewPagerStyle label,
.GirdViewShell .GridViewStyle .GridViewPagerStyle span {
  display: inline-block !important;
  vertical-align: middle !important;
  margin: 0 !important;
}
.GirdViewShell .GridViewStyle .GridViewPagerStyle input[type="image"] {
  height: 15px !important;
  margin: 0px 2px !important;
  background-color: #FFF !important;
  padding: 2px 4px !important;
  border-radius: 3px !important;
}
.GirdViewShell .GridViewStyle .GridViewPagerStyle label,
.GirdViewShell .GridViewStyle .GridViewPagerStyle span {
  color: #000 !important;
}
.GirdViewShell .GridViewStyle .GridViewPagerStyle input[type="text"],
.GirdViewShell .GridViewStyle .GridViewPagerStyle select {
  border-radius: 4px !important;
  border: 1px solid #ccc !important;
  height: 20px !important;
}
.GirdViewShell ul {
  margin-bottom: 0px;
}
/* 2019/09/18 Edith add For Cube Result 使用 */
.GirdViewShellCube {
    overflow-x: auto; /*xxx*/
    font-size: 14px !important;
}

    .GirdViewShellCube > div {
        overflow-x: auto; /*xxx*/
    }

    .GirdViewShellCube .GridViewStyle {
        /*width: 100% !important;*/
        border: none !important;
        margin: 5px 0 10px 0 !important;
    }

        .GirdViewShellCube .GridViewStyle .GridViewHeaderStyle,
        .GirdViewShellCube .GridViewStyle tr:nth-child(1) {
            font-family: Arial, 微軟正黑體 !important;
        }

            .GirdViewShellCube .GridViewStyle th,
            .GirdViewShellCube .GridViewStyle .GridViewHeaderStyle > th,
            .GirdViewShellCube .GridViewStyle tr:nth-child(1) > th {
                padding: 5px;
                text-align: center !important;
                vertical-align: middle !important;
                background-color: #7b7b7b;
                color: #FFF;
                height: 20px !important;
                border: 1px solid #dadada;
                text-shadow: none !important;
                font-weight: normal !important;
            }

                .GirdViewShellCube .GridViewStyle .GridViewHeaderStyle > th a,
                .GirdViewShellCube .GridViewStyle tr:nth-child(1) > th a,
                .GirdViewShellCube .GridViewStyle .GridViewHeaderStyle > td a,
                .GirdViewShellCube .GridViewStyle tr:nth-child(1) > td a {
                    color: #FFF !important;
                }

        .GirdViewShellCube .GridViewStyle .GridViewRowStyle,
        .GirdViewShellCube .GridViewStyle .GridViewAlternatingRowStyle,
        .GirdViewShellCube .GridViewStyle tr:not(:nth-child(1)) {
            transition: 0.25s all !important;
            font-size: 14px !important;
            font-family: Arial, 微軟正黑體 !important;
            text-align: left;
        }

            .GirdViewShellCube .GridViewStyle .GridViewRowStyle:hover,
            .GirdViewShellCube .GridViewStyle .GridViewAlternatingRowStyle:hover,
            .GirdViewShellCube .GridViewStyle tr:not(:nth-child(1)):hover {
                background-color: #d3d3d3;
            }

            .GirdViewShellCube .GridViewStyle .GridViewRowStyle td,
            .GirdViewShellCube .GridViewStyle .GridViewAlternatingRowStyle td,
            .GirdViewShellCube .GridViewStyle tr:not(:nth-child(1)) td {
                padding: 5px;
                vertical-align: middle !important;
                border: 1px solid #dadada;
                /*max-width: 100px;*/
                text-wrap:none;
            }

        .GirdViewShellCube .GridViewStyle .GridViewRowStyle,
        .GirdViewShellCube .GridViewStyle tr:nth-child(even):not(.GridViewPagerStyle) {
            background-color: #FFF;
        }

        .GirdViewShellCube .GridViewStyle .GridViewAlternatingRowStyle,
        .GirdViewShellCube .GridViewStyle tr:nth-child(odd):not(.GridViewPagerStyle) {
            background-color: #e8e8e8;
        }

        .GirdViewShellCube .GridViewStyle .GridViewPagerStyle {
            background: none;
            background-color: #d3d3d3;
            font-weight: bold !important;
        }

            .GirdViewShellCube .GridViewStyle .GridViewPagerStyle .floatLeft {
                float: left !important;
            }

            .GirdViewShellCube .GridViewStyle .GridViewPagerStyle .floatRight {
                float: right !important;
            }

            .GirdViewShellCube .GridViewStyle .GridViewPagerStyle td {
                border: 1px solid #dadada;
                padding: 5px;
                /*max-width: 100px;*/
                text-wrap: none;
            }

            .GirdViewShellCube .GridViewStyle .GridViewPagerStyle input,
            .GirdViewShellCube .GridViewStyle .GridViewPagerStyle label,
            .GirdViewShellCube .GridViewStyle .GridViewPagerStyle span {
                display: inline-block !important;
                vertical-align: middle !important;
                margin: 0 !important;
            }

                .GirdViewShellCube .GridViewStyle .GridViewPagerStyle input[type="image"] {
                    height: 15px !important;
                    margin: 0px 2px !important;
                    background-color: #FFF !important;
                    padding: 2px 4px !important;
                    border-radius: 3px !important;
                }

            .GirdViewShellCube .GridViewStyle .GridViewPagerStyle label,
            .GirdViewShellCube .GridViewStyle .GridViewPagerStyle span {
                color: #000 !important;
            }

            .GirdViewShellCube .GridViewStyle .GridViewPagerStyle input[type="text"],
            .GirdViewShellCube .GridViewStyle .GridViewPagerStyle select {
                border-radius: 4px !important;
                border: 1px solid #ccc !important;
                height: 20px !important;
            }

    .GirdViewShellCube ul {
        margin-bottom: 0px;
    }